$(function() {
    init();
});

function init() {
    unreadMessage('petowner/GetUnReadNoticeCount');
    unreadMessage('petowner/GetMy');
    load_data();
    $("#_id_exit_btn").click(add_click_exitbtn);
}

function load_data() {
    try {
        var AccountId = Util.getCookie("AiPet_Name");
        var AiPet_Key = Util.getCookie("AiPet_Key");
        if (AccountId == null || AccountId == '') {
            AccountId = "aipet";
        }
        if (AiPet_Key == null || AccountId == '') {
            AiPet_Key = "aipet";
        }

        var request_url = url_util + "Api/petowner/GetMy";
        var params = {
            'AccountId': AccountId,
            'Code': AiPet_Key
        };
        var success_callback = function(params) {
            console.log("success:" + JSON.stringify(params));
            if (params.callResultStatus.code !== 1) {
                Util.SetCookie("AiPet_location_href", location.href);
                location.href = "signin.html";
            } else {
                showdata(params);
            }
        };
        var error_callback = function(params) {
            console.log("error:" + JSON.stringify(params));
        };
        Util.getRequestData_GET(request_url, params, success_callback, error_callback);
    } catch (e) {
        console.log(e.message);
        Dialog.alert("请求错误！");
    }
}

function showdata(params) {
    var Photo = params.photo; //头像
    var Money = params.money; //宠币
    var UnReadAdv = params.unReadAdv; //未读通知数
    var NickName = params.nickName; //用户昵称
    var TelVal = params.telVal; //手机号是否验证
    var Score = params.score; //分数

    // $(".unread-number").html(UnReadAdv);
    // if (UnReadAdv == 0) {
    //     $(".unread-number").hide();
    // }
    if (NickName == null) {
        NickName = ''; //'<b style="color:red">您还未给自己</b>';
    } else if (NickName.length > 8) {
        NickName = NickName.substring(0, 8) + "...";
    }
    $("#_id_photo_img").src = Photo;
    $("#_id_user_name").html(NickName);
    $("#_id_Money").html(Money);
    $("#notification").html(UnReadAdv);

    //分数
    var html_str = "";
    html_str += Evaluate(Score);
    $("#_id_AveAppraise_show").html(html_str);
    $("#_id_AveAppraise").html(Score);

    //通知
    if (UnReadAdv * 1 > 0) {
        $("#notification").show();
    }
    //手机认证状况
    if (TelVal == 1) {
        $("#_id_val_btn").attr("src", "../img/petOwnerVerified.png");
        $("#_id_val_btn").click(function() {
            var toastView_obj = new toastView("alertView", "您的手机号已验证！", 2000);
            toastView_obj.init();
        });
    } else {
        $("#_id_val_btn").attr("src", "../img/petOwnerUnverified.png");
        $("#_id_val_btn").click(function() {
            Util.SetCookie("AiPet_petOwner_novalidate", 1);
            location.href = "service/tel-validate.html";
        });
    }
}


//点击退出登录键

function add_click_exitbtn() {
    Util.SetCookie("AiPet_Name", null);
    Util.SetCookie("AiPet_Key", null);
    location.href = "signin.html";
}

// 评价星星
function Evaluate(Fraction) {
    var StrHtml = "";
    var Fraction = Fraction * 1;
    for (var i = 0; i <= 4; i++) { //满分 5颗星
        if (i <= Fraction - 1)
            StrHtml += '<img src="../img/evaluateLightIcon.png" alt=""/>';
        else if ((i < Fraction) && (i > Fraction - 1)) {
            StrHtml += '<img src="../img/evaluateHalfIcon.png" alt=""/>';
        } else {
            StrHtml += '<img src="../img/evaluateGrayIcon.png" alt=""/>';
        }
    }
    return StrHtml;
}